<?
$title='Жалобы';
if($ku['status']<1)
{
echo "<div class='content'>";
echo "<div class='block'>";
echo 'Так просто ты тут ни чего не узнаешь. Попробуй найти того, кто тебе объяснит.';
include_once 'inc/foot.php';
echo "</div></div>";
}
echo "<div class='event'><h1>Жалобы</h1></div>";
if(isset($_GET['history']))
{
echo'<div class="block"><a href="/?complaints&history&read">Удалить все</a></div>';
if(isset($_GET['read']))
{
mysql_query("DELETE FROM `complaint`");
  header("Location: /?complaints");
    $_SESSION['msg']='Жалобы удалены';
  }    
    $k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM  `complaint`"),0);
    if($k_post==0){
        echo "<div class='block'>пустo...</div>";
    }
    $k_page=k_page($k_post,$set['p_str']);
    $page=page($k_page);
    $start=$set['p_str']*$page-$set['p_str'];  
$result1 = mysql_query("SELECT * FROM `complaint` ORDER BY `time` DESC LIMIT $start, 10");
while($msg = mysql_fetch_assoc($result1)){
  echo'<div class="block">[<a href="/?user='.($msg['id_user']).'"><span>автор</span></a>] <a href="/?user='.($msg['infringer']).'"><span>'.nc($msg['infringer']).'</span></a> : <span class="title">'.output_text($msg['msg']).'</span></div>';
}
    if ($k_page>1){
        echo'<div class="block">';

        str("?complaints&history&",$k_page,$page); // Вывод страниц
    echo'</div>';
    }
   include_once'inc/foot.php';
 

}
echo'<div class="block"><a href="/?complaints&history">История обращений</a></div>';

if(isset($_GET['go']) && intval($_GET['go'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `complaint` WHERE `id` = '".intval($_GET['go'])."'"),0)!=0)
{
mysql_query("UPDATE `complaint` SET `check` = '1' WHERE `id` = '".intval($_GET['go'])."'");
  header("Location: /?complaints");
    $_SESSION['msg']='Жалобы помечена как обработанная';
  }
    $k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM  `complaint` WHERE `check` = '0'"),0);
    if($k_post==0){
        echo "<div class='block'>пустo...</div>";
    }
    $k_page=k_page($k_post,$set['p_str']);
    $page=page($k_page);
    $start=$set['p_str']*$page-$set['p_str'];  
$result1 = mysql_query("SELECT * FROM `complaint` WHERE `check` = '0' ORDER BY `time` DESC LIMIT $start, 10");
while($msg = mysql_fetch_assoc($result1)){
  echo'<div class="block">[<a href="/?user='.($msg['id_user']).'"><span>автор</span></a>] <a href="/?user='.($msg['infringer']).'"><span>'.nc($msg['infringer']).'</span></a> : <span class="title">'.output_text($msg['msg']).'</span> <a href="/?complaints&go='.$msg['id'].' ">[обработать]</a></div>';
}
    if ($k_page>1)
    {
        echo'<div class="block">';

        str("?complaints&",$k_page,$page); // Вывод страниц
    echo'</div>';
    }
   include_once'inc/foot.php';
?>
<?
include_once 'inc/foot.php';
?>
